Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001754Double CommanderViewerpublic2017-03-06 19:562017-03-14 13:09
ReporterRichard 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusnewResolutionopen 
ProjectionnoneETAnone 
PlatformOSOS Version
Product Version0.8.0 (trunk)Product Build7422, 2017-03-05 
Target VersionFixed in Version 
Summary0001754: Crashs, eventually, while Show Thumbnails, with arrow key or mouse
Descriptionas noted with 0.8.8 trunk, but also tried current 0.7.8 with same result.

Choose Show Thumbnails, after several moves, DC crashs --no error, bell or whistle-- just disappears.
Steps To ReproduceChoose Show Thumbnails, begin reviewing, selecting and copying over images to another directory. Seems to be cumulative. Works fine on fresh start of DC, scrolling through thumbs with either arrow keys or with mouse.
Eventually, after several moves, DC crashs --no error, bell or whistle-- just disappears.
TagsNo tags attached.
Fixed in Revision
Operating systemLinux
WidgetsetGTK2
Architecture64-bit
Attached Files

- Relationships

-  Notes
(0002132)
Cyrax (reporter)
2017-03-13 21:05

This is caused by race condition with (threaded?) thumbnail processing/displaying and X Server.

This can be solved by initializing Xlib threading support by calling XInitThreads before any calls to GTK2 units is done.
(0002133)
Alexx2000 (administrator)
2017-03-14 05:06

Execute DC from console. When error occurred copy console output here.
(0002134)
Richard (reporter)
2017-03-14 13:09

Well, this is strange.
Executing on a fresh installation of MX-16 (Jessie based)
and it works as expected. And I gave it a workout on fotos.
Shows a couple of minor errors in the console, but it did not crash.

Leaving it running from console to see if longer time affects.
For completeness, include info from console after about 15 min:

$ doublecmd
ImageMagick: libMagickWand-6.Q16.so.2
Starting GuiMessageQueue
Starting Double Commander
Double Commander 0.8.0 alpha
Revision: 7422
Build: 2017/03/05
Lazarus: 1.6.0.4-51630
Free Pascal: 3.0.0
Platform: x86_64-Linux-gtk2
System: MX-16 Metamorphosis
Desktop Environment: Xfce
Widgetset library: GTK 2.24.25
This program is free software released under terms of GNU GPL 2
(C)opyright 2006-2017 Alexander Koblov (alexx2000@mail.ru)
   and contributors (see about dialog)
Executable directory: /usr/lib/doublecmd/
Loading configuration from /home/richard/.config/doublecmd/
Loading lng file: /usr/lib/doublecmd/language/doublecmd.en.po
WDX: LOAD: /usr/lib/doublecmd/plugins/wdx/deb_wdx/deb_wdx.wdx
WDX: LOAD: /usr/lib/doublecmd/plugins/wdx/rpm_wdx/rpm_wdx.wdx
WDX: LOAD: /usr/lib/doublecmd/plugins/wdx/audioinfo/audioinfo.wdx
Error loading configuration file /home/richard/.config/doublecmd/favoritetabs.xml
PollThread: Start polling
PollThread: AddPoll 9
Creating PixmapManager
Loading icon theme DCTheme
Error: pixmap [/usr/lib/doublecmd/doublecmd] not loaded!
PollThread: AddPoll 15
UDev: Begin monitoring
Detecting mounts through /proc/self/mounts
PollThread: AddPoll 16
TColumnsFileView.Create components
Creating TFileSystemFileSource
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
TColumnsFileView.Create components
FileSystemWatcher thread starting
frmMain.frmMainShow
Waiting for workers thread 00000000034E1AB8
Finalized workers thread 00000000034E1AB8
TColumnsFileView.Create components
Waiting for workers thread 00000000034C5E78
Finalized workers thread 00000000034C5E78
Process 14188 finished, exit status 0
Process 14217 finished, exit status 0
Process 14227 finished, exit status 0
Process 14237 finished, exit status 0
Process 14280 finished, exit status 0
Process 14291 finished, exit status 0
Process 14300 finished, exit status 0
Process 14329 finished, exit status 0
Language directory: /usr/lib/doublecmd/language/
Creating TFileSystemFileSource
TColumnsFileView.Create components
HotMan: Failed registering Quick Search: Form TfrmOptions:frmOptions not registered.
HotMan: Failed registering Files Panel: Form TfrmOptions:frmOptions not registered.
Creating TFileSystemFileSource
TColumnsFileView.Create components
HotMan: Failed registering Quick Search: Form TfrmOptions:frmOptions not registered.
HotMan: Failed registering Files Panel: Form TfrmOptions:frmOptions not registered.
Error loading configuration file /home/richard/.config/doublecmd/favoritetabs.xml
Error loading configuration file /home/richard/.config/doublecmd/favoritetabs.xml
Waiting for workers thread 0000000004606968
Finalized workers thread 0000000004606968
Destroying TFileSystemFileSource when refcount=0
Waiting for workers thread 000000000462C708
Finalized workers thread 000000000462C708
Destroying TFileSystemFileSource when refcount=0
Saving configuration
Process 14398 finished, exit status 0
Process 14408 finished, exit status 0
Process 14416 finished, exit status 0
Process 14427 finished, exit status 0
Process 14442 finished, exit status 0
Process 14453 finished, exit status 0
Process 14464 finished, exit status 0
Process 14471 finished, exit status 0
Process 14484 finished, exit status 0
PollThread: RemovePoll 9
PollThread: AddPoll 9
Finished Double Commander
Destroying main form
Drive watcher finished
Waiting for workers thread 0000000003CF01D8
Finalized workers thread 0000000003CF01D8
Waiting for workers thread 0000000003FE4CC8
Finalized workers thread 0000000003FE4CC8
Waiting for FileSystemWatcher thread
FileSystemWatcher thread finished
Waiting for workers thread 0000000003CF0BA8
Finalized workers thread 0000000003CF0BA8
Waiting for workers thread 000000000394DE08
Finalized workers thread 000000000394DE08
Destroying TFileSystemFileSource when refcount=0
Main form destroyed
Finishing GuiMessageQueue
Shutting down PixmapManager
PollThread: RemovePoll 9
PollThread: Finish polling
[TGtk2WidgetSet.Destroy] WARNING: There are 2 unreleased GDIObjects, a detailed dump follows:
[TGtk2WidgetSet.Destroy] GDIOs: 0000000003DEAEF8 0000000003D060D8
[TGtk2WidgetSet.Destroy] gdiBitmap: 2
richard@h61h2mx16:~

- Issue History
Date Modified Username Field Change
2017-03-06 19:56 Richard New Issue
2017-03-13 21:05 Cyrax Note Added: 0002132
2017-03-14 05:06 Alexx2000 Note Added: 0002133
2017-03-14 05:06 Alexx2000 Status new => feedback
2017-03-14 13:09 Richard Note Added: 0002134
2017-03-14 13:09 Richard Status feedback => new
Get Double Commander at SourceForge.net. Fast, secure and Free Open Source software downloads


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker